cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Have a EOS T5 & whenever I go to open software it says can't be used with this version of your OS

dihesler
Apprentice

Whenever I go to open the software that came with my camera is says cannot open with your version operating system?? I have a MacBook Pro & am using El Capitan 10.11.2. Do you have any suggestions ...as I'm sure it's not the first time you've heard this problem.

 

Thank You In Advance!

Di Hesler

1 REPLY 1

Richard
Product Expert
Product Expert

Hi Dihesler,

You'll want to download program updates from our site. You may access them by clicking here.

 

Once on our page, scroll down to "Drivers & Downloads".  Now select  "OS X Yosemite v 10.10" (ImageBrowser EX is not available on the El Capitan site), using the drop-down menu, then click on "Software" to see the program updates.

 

Click on the [Select] button to the right of ImageBrowser EX.  On the next page, click on "How to Download and Install" for installation information.

 

Digital Photo Professional 4.3.31 for Mac OS X *
OS Utility 2.14.20a Updater for Mac OS X
Picture Style Editor 1.15.30 Updater for Mac OS X

 

* If you've worked with an older version of Digital Photo Professional, version, "Digital Photo Professional 4.3.31 for Mac OS X" won't work with recipes from older versions. In this case, you'll want to install Digital Photo Professional 3.15.0 Updater for Mac OS X, instead. You may download and install both, if you choose.

Did this answer your question? Please click the Accept as Solution button so that others may find the answer as well.
Avatar
click here to view the press release
Announcements